Module | Compass::Actions
In: | lib/compass/actions.rb

### Methods

basename copy directory log_action logger process_erb relativize remove separate strip_trailing_separator write_file

### Attributes

logger | [W] |

### Public Instance methods

basename(file)
copy(from, to, options = nil, binary = false)

copy/process a template in the compass template directory to the project directory.

directory(dir, options = nil)

create a directory and all the directories necessary to reach it.

log_action(action, file, options)
logger()
process_erb(contents, ctx = nil)
relativize(path) {|path| ...}
remove(file_name)
separate(path)

Write paths like we‘re on unix and then fix it

strip_trailing_separator(path)

Removes the trailing separator, if any, from a path.

write_file(file_name, contents, options = nil, binary = false)

Write a file given the file contents as a string

[Validate]